View Issue Details

IDProjectCategoryView StatusLast Update
0032795Open CASCADEOCCT:Documentationpublic2022-10-19 15:55
Reporterkgv Assigned Tovpozdyayev  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032795: Documentation - clarify indexation range within Poly_Triangulation/Graphic3d_ArrayOfPrimitives classes
DescriptionIndexation range (starting from 1) should be documented within Poly_Triangulation/Graphic3d_ArrayOfPrimitives classes.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Activities

git

2022-01-24 21:57

administrator   ~0106561

Branch CR32795 has been created by kgv.

SHA-1: 78a122505af07ef8d739a8ada9f21cc688ee65cf


Detailed log of new commits:

Author: kgv
Date: Mon Jan 24 21:57:26 2022 +0300

    0032795: Documentation - clarify indexation range within Poly_Triangulation/Graphic3d_ArrayOfPrimitives classes

kgv

2022-01-24 21:58

developer   ~0106562

Patch is ready for review
- OCCT: branch CR32795.

aml

2022-01-25 09:17

developer   ~0106567

Please rise the patch.
OCCT: CR32795
Products: -

smoskvin

2022-01-29 12:19

administrator   ~0106661

Combination -
OCCT branch : IR-2022-01-28
master SHA - 7109a4ae5843002ea7a35ed2b5aafba7ccef13d4
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-28 SHA - 1fcdecce4d5d9ed7b667fcd27ecafe7d444140a3
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18541.880000000696 / 18411.29000000044 [+0.71%]
Products
Total CPU difference: 11695.81000000013 / 11647.290000000106 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 20349.546875 / 20285.25 [+0.32%]
Products
Total CPU difference: 13126.203125 / 13132.546875 [-0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-02-09 21:34

administrator   ~0106833

Branch CR32795 has been deleted by kgv.

SHA-1: 78a122505af07ef8d739a8ada9f21cc688ee65cf

Related Changesets

occt: master 223ae699

2022-01-24 21:57:26

kgv


Committer: smoskvin Details Diff
0032795: Documentation - clarify indexation range within Poly_Triangulation/Graphic3d_ArrayOfPrimitives classes Affected Issues
0032795
mod - src/Graphic3d/Graphic3d_ArrayOfPrimitives.hxx Diff File
mod - src/Poly/Poly_Triangle.hxx Diff File
mod - src/Poly/Poly_Triangulation.hxx Diff File

Issue History

Date Modified Username Field Change
2022-01-24 11:09 kgv New Issue
2022-01-24 11:09 kgv Assigned To => kgv
2022-01-24 21:57 git Note Added: 0106561
2022-01-24 21:58 kgv Assigned To kgv => aml
2022-01-24 21:58 kgv Status new => resolved
2022-01-24 21:58 kgv Test case number => N/A
2022-01-24 21:58 kgv Note Added: 0106562
2022-01-25 09:17 aml Assigned To aml => bugmaster
2022-01-25 09:17 aml Status resolved => reviewed
2022-01-25 09:17 aml Note Added: 0106567
2022-01-29 12:19 smoskvin Status reviewed => tested
2022-01-29 12:19 smoskvin Note Added: 0106661
2022-01-29 13:00 smoskvin Changeset attached => occt master 223ae699
2022-01-29 13:00 kgv Assigned To bugmaster => kgv
2022-01-29 13:00 kgv Status tested => verified
2022-01-29 13:00 kgv Resolution open => fixed
2022-02-09 21:34 git Note Added: 0106833
2022-10-19 15:55 smoskvin Assigned To kgv => vpozdyayev